package bootstrap

import (
	"support-game/models"
	"support-game/routers"
	"support-game/utils"
)

// SystemInit 系统初始化
func SystemInit() {
	// 数据库连接
	models.InitDB()

	// 系统日志
	utils.LogInit()

	// 微信
	utils.InitWechat()

	// 阿里云
	utils.OssInit()

	// 路由系统
	routers.RouteInit()
}
