package controllers

import (
	"strconv"
	"support-game/utils"
	"time"
)

type ObjectController struct {
	BaseController
}

// Post 上传图片
func (c *ObjectController) Post() {
	fNameExtra := strconv.FormatInt(time.Now().Unix(), 10)

	fileURL, err := utils.UploadFileToBucket(c.Ctx.Request, "file", fNameExtra)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(map[string]interface{}{
		"url": fileURL,
	})
}
