package model

import (
	"time"
)

type TaVotingActivities struct {
	ActivityId int       `xorm:"not null pk autoincr SMALLINT(6)"`
	RuleId     int       `xorm:"SMALLINT(6)"`
	Music      string    `xorm:"TEXT"`
	Name       string    `xorm:"VARCHAR(300)"`
	Thumb      string    `xorm:"TEXT"`
	Banner     string    `xorm:"TEXT"`
	Desc       string    `xorm:"TEXT"`
	Rules      string    `xorm:"TEXT"`
	StartTime  time.Time `xorm:"DATETIME"`
	EndTime    time.Time `xorm:"DATETIME"`
	Remark     string    `xorm:"VARCHAR(500)"`
	CreateDate time.Time `xorm:"DATETIME"`
	Status     int       `xorm:"SMALLINT(6)"`
	Members    int       `xorm:"INT(11)"`
	StartId    int       `xorm:"INT(11)"`
	AfterVote  string    `xorm:"TEXT"`
	ShareTitle string    `xorm:"VARCHAR(100)"`
	ShareIcon  string    `xorm:"TEXT"`
	ShareDesc  string    `xorm:"VARCHAR(200)"`
}
