package model

import (
	"time"
)

type TaVotingMember struct {
	MemberId   int       `xorm:"not null pk INT(11)"`
	ActivityId int       `xorm:"not null pk SMALLINT(6)"`
	Name       string    `xorm:"VARCHAR(200)"`
	Phone      string    `xorm:"VARCHAR(20)"`
	Addr       string    `xorm:"TEXT"`
	Message    string    `xorm:"TEXT"`
	Remark     string    `xorm:"VARCHAR(500)"`
	CreateDate time.Time `xorm:"DATETIME"`
	Status     int       `xorm:"SMALLINT(6)"`
	Vote       int       `xorm:"INT(11)"`
	Openid     string    `xorm:"VARCHAR(64)"`
}
